package com.backendsys.modules.crt.enums;

/**
 * 采样方法
 */
public enum SamplerEnums {

    EULER("Euler", "euler"),
    DPM2M("DPM++2M", "dpmpp_2m")
    ;

    private final String key;
    private final String value;

    SamplerEnums(String key, String value) {
        this.key = key;
        this.value = value;
    }

    public String getValue() {
        return this.value;
    }
    public String getKey() {
        return this.key;
    }

    public static String getValueByKey(String key) {
        for (SamplerEnums enumValue : SamplerEnums.values()) {
            if (enumValue.key.equals(key)) {
                return enumValue.value;
            }
        }
        return null;
    }
}
